package org.eclipse.ecf.example.sc.core;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

import org.eclipse.ecf.example.sc.exception.ShareCodeExceptionHandler;

public class SCUIMessages {
	private static final String BUNDLE_NAME = "plugin";

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private SCUIMessages() {
	}

	public static String getString(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			new ShareCodeExceptionHandler(e, Activator.PLUGIN_ID, "Dialog Error", "Propertie not found: " + key );
			return '!' + key + '!';
		}
	}

}
